# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate tempfile

Name:           rust-%{crate}
Version:        3.0.4
Release:        2%{?dist}
Summary:        Library for managing temporary files and directories

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/tempfile
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No Windows
# * No Redox
# * Exclude CI files, https://github.com/Stebalien/tempfile/pull/72
Patch0:         tempfile-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(cfg-if/default) >= 0.1.0 with crate(cfg-if/default) < 0.2.0)
BuildRequires:  (crate(libc/default) >= 0.2.27 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(rand/default) >= 0.5.0 with crate(rand/default) < 0.6.0)
BuildRequires:  (crate(remove_dir_all/default) >= 0.5.0 with crate(remove_dir_all/default) < 0.6.0)

%global _description \
A library for managing temporary files and directories.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md NEWS
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.4-2
- Adapt to new packaging

* Thu Sep 20 2018 Josh Stone <jistone@redhat.com> - 3.0.4-1
- Update to 3.0.4

* Wed Jul 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.3-1
- Update to 3.0.3

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.2-1
- Update to 3.0.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.2.0-3
- Rebuild for rust-packaging v5

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.2.0-2
- Bump rand to 0.4

* Sat Nov 04 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproejct.org> - 2.1.5-4
- Drop rustc_version BR

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.5-3
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.5-2
- Rebuild

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.5-1
- Initial package
